[med-svn] [t-coffee] 01/01: Autopkgtests added
Canberk Koç
cbk-guest at moszumanska.debian.org
Sat Jun 25 16:22:08 UTC 2016
This is an automated email from the git hooks/post-receive script.
cbk-guest pushed a commit to branch master
in repository t-coffee.
commit 1da1675b3cbf12fb08127278d86c0ba7aa448013
Author: cbk-guest <cbk-guests at scm.alioth.debian.org>
Date: Sat Jun 25 19:21:58 2016 +0300
Autopkgtests added
---
debian/rules | 8 ++++++++
debian/tests/control | 3 +++
debian/tests/run-unit-test | 37 +++++++++++++++++++++++++++++++++++++
3 files changed, 48 insertions(+)
diff --git a/debian/rules b/debian/rules
index 682b14a..406dcbc 100755
--- a/debian/rules
+++ b/debian/rules
@@ -2,6 +2,9 @@
# DEB_SRCDIR = t_coffee_source
# Is messing with /usr/share/cdbs/1/rules/patchsys-quilt.mk
+DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+sampledir:=$(CURDIR)/debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples
+
FCC = gfortran $(shell dpkg-buildflags --get FFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -25,3 +28,8 @@ override_dh_compress:
( cd debian/t-coffee-examples/ && \
chmod 644 usr/share/doc/t-coffee-examples/changelog.Debian && \
gzip -9 -n usr/share/doc/t-coffee-examples/changelog.Debian ) || true
+
+override_dh_installexamples:
+ dh_installexamples
+ mkdir -p $(sampledir);
+ cp -aR example/* $(sampledir)/;
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..d2aa55a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100755
index 0000000..a3b2239
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+
+pkg='t-coffee'
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+ AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+find . -name "*.gz" -exec gunzip \{\} \;
+
+t_coffee sample_seq1.fasta
+t_coffee sample_seq1.fasta -mode quickaln
+t_coffee sample_seq1.fasta -mode quickaln -ndiag=10
+t_coffee -aln=sproteases_small.cw_aln, sproteases_small.muscle, sproteases_small.tc_aln -outfile=combined_aln.aln
+t_coffee -infile=sproteases_small.aln -special_mode=evaluate
+t_coffee -other_pg seq_reformat -in sproteases_small.aln -output fasta_aln > sproteases_small.fasta_aln
+t_coffee -other_pg seq_reformat -in sproteases_small.aln -output msf > sproteases_small.msf
+t_coffee -other_pg seq_reformat -in sproteases_small.aln -output fasta_seq > sproteases_small.fasta
+t_coffee -other_pg seq_reformat -in sproteases_small.aln -action +lower -output clustalw
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -action +upper +edit_residue hmgb_chite 10 lower
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -in3 sample_aln1.aln -action +upper +3evaluate idmat +lower ''
+t_coffee -other_pg seq_reformat -in sproteases_large.fasta -output code_name > sproteases_large.code_name
+t_coffee -other_pg seq_reformat -code sproteases_large.code_name -in sproteases_large.fasta >sproteases_large.coded.fasta
+t_coffee -other_pg seq_reformat -decode sproteases_large.code_name -in sproteases_large.coded.fasta
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -in3 sample_aln1.aln -action +3convert a0 -output color_html > colored.html
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -action +color_residue hmgb_chite 10 1 -output color_html > color.html
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -in3 sample_aln1.aln -action +3evaluate pam250mt -output color_html > color.html
+t_coffee -other_pg seq_reformat -in sample_aln1.aln -in3 sample_aln1.aln -action +3evaluate boxshade -output color_html > color.html
+t_coffee -other_pg seq_reformat -in=sample_aln6.aln -output=clustalw_aln -out=cache.aln -action +convert 'Aa1' '.--' +convert '#0'
+t_coffee -other_pg seq_reformat -in=sample_aln6.aln -output=fasta_seq -out=cache.seq -action +convert 'Aa1' '.--' +convert '#0'
+t_coffee -other_pg seq_reformat -in=sample_aln6.aln -output=fasta_seq -out=cache -action +convert 'Aa1' '.--'
+t_coffee -other_pg seq_reformat -in=sample_aln6.aln -struc_in=sample_aln6.cache -struc_in_f number_fasta -output=color_html -out=x.html
+
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/t-coffee.git
More information about the debian-med-commit
mailing list